FROM registry.hub.docker.com/library/debian:bullseye-slim

# caqtdm is not absolutely required, but removes some warnings 
RUN apt-get update -y \
    && apt-get install -y build-essential cmake perl \
                          libspdlog-dev catch2 python3-dev git python3-pybind11

RUN useradd -rm -d /home/controls -s /bin/bash -g root -G sudo -u 1001 controls
USER controls
WORKDIR /home/controls
RUN git clone --branch wipf-changes-rtsfreerun https://git.ligo.org/ezekiel.dohmen/advligorts.git
WORKDIR /home/controls/advligorts/src/librts/
RUN make MODEL_NO_EXECUTABLE?=1 LIBRTS_NO_SHMEM=1 x1unittest
RUN make test
